//DJXRegister v1.2
unit DJXRegister;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DJX, DJXClasses, DJXTextures, DJXMeshes, DJXPrimitives, DJXRender,
  DJXWnd, DJXTimer, DJXLights, DJXMaterials, DJXFonts, DJXTexFonts,
  DJXShaders, DJXEffects;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents(
    'DanJetX',
    [
      TDanJetX,
      TDJXTimer,
      TDJXFontList,
      TDJXTexFontList,
      TDJXTextureList,
      TDJXMeshList,
      TDJXLightList,
      TDJXMaterialList,
      TDJXShaderList,
      TDJXEffectList
    ]
  );
end;

end.
